"use client";

import { BookDetailOverlay } from "./overlay";
import { BookTable } from "./table";

export default function Home() {
	return (
		<main className="flex min-h-screen flex-col items-center p-24">
			<h2 className="pb-14 text-4xl font-bold">Catalogue</h2>
			{BookDetailOverlay()}
			{BookTable()}
		</main>
	);
}
